=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DHAVE_XFREERDP=true

override_dh_auto_install:
	$(overridden_command)
	# Drop development files
	rm -rf debian/krdc/usr/include/
	find debian/krdc -name '*.so' -type l -delete

override_dh_strip:
	dh_strip --dbgsym-migration='krdc-dbg (<= 4:15.12.0-1~~)'
