## krdc 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,26 @@
-cmake_minimum_required(VERSION 2.8.12)
-project(krdc)
+cmake_minimum_required(VERSION 3.0)
 
-set (KDE_APPLICATIONS_VERSION_MAJOR "18")
-set (KDE_APPLICATIONS_VERSION_MINOR "04")
-set (KDE_APPLICATIONS_VERSION_MICRO "1")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
-find_package(ECM REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+project(krdc VERSION ${KDE_APPLICATIONS_VERSION})
 
-find_package(KF5 REQUIRED COMPONENTS
+set (KF_MIN_VERSION "5.25.0")
+
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+include(ECMSetupVersion)
+include(ECMQtDeclareLoggingCategory)
+include(FeatureSummary)
+
+find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Config
     KCMUtils
     DNSSD
@@ -22,18 +32,19 @@
     Completion
     Wallet
     WidgetsAddons
+    WindowSystem
     NotifyConfig
     I18n
 )
 
 find_package(KF5DocTools)
 
-include(ECMSetupVersion)
-include(ECMQtDeclareLoggingCategory)
-include(KDEInstallDirs)
-include(KDECompilerSettings NO_POLICY_SCOPE)
-include(KDECMakeSettings)
-include(FeatureSummary)
+if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+    if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS "5.0.0")
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override" )
+    endif()
+endif()
+
 
 # use sane compile flags
 add_definitions(
@@ -44,7 +55,6 @@
   -DQT_NO_URL_CAST_FROM_STRING
   -DQT_NO_CAST_FROM_BYTEARRAY
   -DQT_NO_SIGNALS_SLOTS_KEYWORDS
-  -DQT_USE_FAST_OPERATOR_PLUS
 )
 ecm_setup_version(${KDE_APPLICATIONS_VERSION}
     VARIABLE_PREFIX KRDC
@@ -56,10 +66,6 @@
     set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
     set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
 endif(WIN32)
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
-
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
 find_package(LibVNCServer)
 set_package_properties("libvncserver" PROPERTIES
@@ -68,17 +74,32 @@
     PURPOSE "Needed to build VNC client support in KRDC"
 )
 
+find_package(LibSSH)
+set_package_properties("libssh" PROPERTIES
+    DESCRIPTION "ssh library"
+    URL "https://libssh.org/"
+    PURPOSE "Needed to build VNC+SSH tunnel support "
+)
+
 # Needs porting
-FIND_PROGRAM(FREERDP_EXECUTABLE xfreerdp)
+find_program(FREERDP_EXECUTABLE xfreerdp)
 if(FREERDP_EXECUTABLE)
+    set(FREERDP_FOUND true) # mark the package found
     set(FREERDP_EXECUTABLE_FOUND true)
 endif(FREERDP_EXECUTABLE)
 
-set_package_properties("freerdp" PROPERTIES
+# dud to allow the dep showing up in feature summary.
+# note that this must be after _FOUND is set so it doesn't incorrectly
+# set the metadata to not-found.
+find_package(freerdp QUIET)
+
+set_package_properties(freerdp PROPERTIES
         DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
-        URL "http://www.freerdp.com"
-        PURPOSE "Needed for RDP support in KRDC (at runtime)"
-                                     )
+        URL "https://www.freerdp.com/"
+        PURPOSE "The xfreerdp binary is needed for RDP support in KRDC (at runtime)"
+        TYPE RUNTIME
+)
+
 # NX support is not ready for KDE 4.2; disabled (uwolfer)
 # macro_optional_find_package(LibNXCL)
 # macro_log_feature(LIBNXCL_FOUND "libnxcl" "NX X compression client library" "http://svn.berlios.de/svnroot/repos/freenx/trunk/freenx-client/nxcl/" FALSE "1.0" "Needed to build Krdc with NX support")
