=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.25.0~),
               gettext,
               libkf5bookmarks-dev (>= 5.25.0~),
               libkf5completion-dev (>= 5.25.0~),
               libkf5config-dev (>= 5.25.0~),
               libkf5dnssd-dev (>= 5.25.0~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.25.0~),
               libkf5iconthemes-dev (>= 5.25.0~),
               libkf5kcmutils-dev (>= 5.25.0~),
               libkf5notifications-dev (>= 5.25.0~),
               libkf5notifyconfig-dev (>= 5.25.0~),
               libkf5wallet-dev (>= 5.25.0~),
               libkf5widgetsaddons-dev (>= 5.25.0~),
               libkf5windowsystem-dev (>= 5.25.0~),
               libkf5xmlgui-dev (>= 5.25.0~),
               libssh-dev,
               libvncserver-dev (>= 0.9.8.1),
               pkg-kde-tools (>= 0.12),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freerdp2-x11
Suggests: khelpcenter, krfb, freerdp2-wayland [linux-any]
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.
