=== debian/control ===
--- 
+++ 
@@ -2,11 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.25.0~),
@@ -28,9 +25,9 @@
                libssh-dev,
                libvncserver-dev (>= 0.9.8.1),
                pkg-kde-tools (>= 0.12),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://apps.kde.org/en/krdc
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git
 
@@ -40,8 +37,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: freerdp2-x11
 Suggests: khelpcenter, krfb, freerdp2-wayland [linux-any]
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: Remote Desktop Connection client
  The KDE Remote Desktop Connection client can view and control a desktop
  session running on another system.  It can connect to Windows Terminal Servers
