## krdc 21.08.0

=== debian/changelog ===
krdc (4:21.08.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Add freerdp2-x11 also as build dependency, as apparently newer upstream
    versions only build the RDP plugin when that runtime executable is found
    at build time; thanks to Paul Hoskinson for spotting it.
    (Closes: #992608)

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 10:14:58 +0200

krdc (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:24:22 +0900

krdc (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:42:51 +0900
