## krdc 21.08.1

=== debian/changelog ===
krdc (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:37:25 +0100

krdc (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:06:37 +0100

krdc (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:00:37 +0100

krdc (4:21.07.80-0ubuntu3) impish; urgency=medium

  * Build time depend on freerdp2-x11, as cmake now dumbly checks for
    this.

 -- Rik Mills <rikmills@kde.org>  Wed, 21 Jul 2021 14:48:51 +0100

krdc (4:21.07.80-0ubuntu2) impish; urgency=medium

  * Promote freerdp2-x11 to a runtime Depends.

 -- Rik Mills <rikmills@kde.org>  Wed, 21 Jul 2021 12:42:52 +0100

krdc (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:36:35 +0100

krdc (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:47:48 +0100

krdc (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:53:59 +0100

krdc (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:11:23 +0100

krdc (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:41:29 +0100
