=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DHAVE_XFREERDP=true
 
-execute_after_dh_auto_install:
+override_dh_auto_install:
+	dh_auto_install
 	# Drop development files
 	rm -rf debian/krdc/usr/include/
 	find debian/krdc -name '*.so' -type l -delete
